# Geetorus - Blockchain Security Toolkit

## Project Status

**This project is a work in progress.**


We are actively developing and improving this project. While many features are already functional, there is more to come. We welcome contributions and feedback to help us make this project even better.




Welcome to Geetorus, your trusted companion in enhancing blockchain security. In the ever-evolving landscape of blockchain technology, security is paramount. Geetorus offers a comprehensive solution to address the challenges and ensure the integrity of the blockchain ecosystem.

## Key Features
- **Chrome Extension**: Real-time verification of smart contracts on visited web pages.
- **Web Platform**: User-friendly interface for reporting and verifying blockchain security issues.
- **Node.js Package**: Integration with blockchain data for security assessment.

## Project Description

**Geetorus** is a groundbreaking blockchain security system. As a user, you can report suspicious smart contracts, which go through a rigorous validation and review process. For contract owners, we offer an appeals mechanism, ensuring fairness. We've implemented a reputation system to empower accurate reporters. Additionally, developers can access our contract whitelisting service, boosting trust in the blockchain community. Our sustainable business model charges developers for whitelisting, supporting ongoing security enhancements while ensuring transparency and privacy compliance. We're committed to continuous improvement, adapting to emerging threats and user feedback. Join us in creating a safer blockchain ecosystem for all.


# How to Use

## Chrome Extension
1. Download the extension by unpacking the root folder containing `manifest.json`.
2. Open Google Chrome.
3. Go to `chrome://extensions/`.
4. Enable "Developer mode" by toggling the switch.
5. Click on "Load unpacked."
6. Select the root folder with `manifest.json`.
7. The Geetorus Chrome extension is now installed.

## Backend
1. Navigate to the `backend` directory.
2. Create a Python virtual environment using `python3 -m venv venv`.
3. Activate the virtual environment:
    - On macOS/Linux: `source venv/bin/activate`
    - On Windows: `venv\Scripts\activate`
4. Install the required packages from `requirements.txt` using `pip install -r requirements.txt`.

## Website Frontend
1. Navigate to the `frontend` directory.
2. Follow the frontend setup instructions (if available) to set up the website.



## Contributing

Contributions are welcome! Feel free to open issues and pull requests in the respective repository.